# Uses of Class
org.eclipse.core.filebuffers.LocationKind

Packages that use LocationKind
Package
Description
org.eclipse.core.filebuffers
Provides the API for accessing file buffers.
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.

## Uses of LocationKind in org.eclipse.core.filebuffers

Fields in org.eclipse.core.filebuffers declared as LocationKind
Modifier and Type
Field
Description
`static final LocationKind`
LocationKind.`IFILE`
The corresponding argument is the full path of an `IFile`.
`static final LocationKind`
LocationKind.`LOCATION`
The corresponding argument is a location in a file system.
`static final LocationKind`
LocationKind.`NORMALIZE`
Tells to normalize the corresponding argument according to `FileBuffers.normalizeLocation(IPath)`.
Methods in org.eclipse.core.filebuffers with parameters of type LocationKind
Modifier and Type
Method
Description
`void`
IFileBufferManager.`connect(IPath location, LocationKind locationKind, IProgressMonitor monitor)`
Connects the file at the given location to this manager.
`IAnnotationModel`
ITextFileBufferManager.`createAnnotationModel(IPath location, LocationKind locationKind)`
Creates a new annotation for the given location.
`IDocument`
ITextFileBufferManager.`createEmptyDocument(IPath location, LocationKind locationKind)`
Creates a new empty document.
`void`
IFileBufferManager.`disconnect(IPath location, LocationKind locationKind, IProgressMonitor monitor)`
Disconnects the file at the given location from this manager.
`IFileBuffer`
IFileBufferManager.`getFileBuffer(IPath location, LocationKind locationKind)`
Returns the file buffer managed for the given location or `null` if there is no such file buffer.
`ITextFileBuffer`
ITextFileBufferManager.`getTextFileBuffer(IPath location, LocationKind locationKind)`
Returns the text file buffer managed for the file at the given location or `null` if there is no such text file buffer.
`void`
IDocumentSetupParticipantExtension.`setup(IDocument document, IPath location, LocationKind locationKind)`
Sets up the document to be ready for use by a text file buffer.

## Uses of LocationKind in org.eclipse.ui.editors.text

Fields in org.eclipse.ui.editors.text declared as LocationKind
Modifier and Type
Field
Description
`LocationKind`
TextFileDocumentProvider.FileInfo.`fTextFileBufferLocationKind`
The file buffer location kind.